> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pathors.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出工具

> 列出專案的所有工具

## 請求

```bash theme={null}
GET https://api.pathors.com/v1/projects/{projectId}/tools
```

### 路徑參數

<ParamField path="projectId" type="string" required>專案 ID</ParamField>

### 標頭

<ParamField header="Authorization" type="string" required>
  使用您的 Developer Key 進行 Bearer 令牌認證
</ParamField>

## 回應

<ResponseField name="data" type="array">
  工具物件的陣列，包含 `id`、`type`、`name`、`description`、`metadata` 與 `inputSchema`。
</ResponseField>

### 範例

```bash theme={null}
curl https://api.pathors.com/v1/projects/{projectId}/tools \
  -H "Authorization: Bearer dk_your_key"
```

```json theme={null}
{
  "data": [
    {
      "id": "tool-uuid",
      "type": "restful",
      "name": "search-api",
      "description": "Search the database",
      "metadata": { "url": "https://api.example.com/search", "method": "GET" },
      "inputSchema": { "type": "object", "properties": { "query": { "type": "string" } } }
    }
  ]
}
```
